## Compositeness Processes

Compositeness scenarios may give rise to sharp resonances of excited quarks and leptons. An excited copy of the first generation is implemented, consisting of spin 1/2 particles. The possibility of contact interactions between SM fermions is also implemented in the context of 2 → 2 quark or fermion-lepton scattering.

Related to excited fermions, the current implementation contains gauge interaction production by quark-gluon fusion or lepton-photon fusion and contact interaction production by quark-quark or quark-antiquark scattering. For both the 2 → 1 and 2 → 2 processes a non-trivial angular dependence is included in the decay, however, only decays into gauge bosons are supported, i.e. not decays through contact interactions. In additions to the compositeness scale and couplings listed below, you are expected to change the excited-fermion masses in accordance with what is desired. See [Bau90] for conventions.

The contact interactions are implemented according to [Eic83]. The processes include the SM contributions as well as interference. For this reason the processes below converge toward the SM equivalents when the contact interaction contributions are close to zero, e.g. `HardQCD:qq2qq` and `HardQCD:qqbar2qqbarNew` in the case of quark scattering.

It should also be noted that the gamma*/Z/Z' production process available with NewGaugeBoson:ffbar2gmZZprime is prepared for pair-production of excited quarks and leptons, assuming the same gauge couplings as for the non-excited fermions. What is missing is the actual decay channels in the list of Z' decay modes, which have to be added by hand, e.g. by
32:addChannel = 1 1. 100 4000001 -4000001
You can use Zprime:gmZmode to decide which gauge boson propagators actually are included in the simulation, and thus e.g. switch off the Z' part of the propagator. You may also want to switch off other decay channels and set the minimal mass to be at the threshold for the studied pair production (or suitably below it, if the excited fermions have a non-negligible width).

### Excited fermions, production processes

A few different production processes have been implemented, which normally would not overlap and therefore could be run together.

`flag` ExcitedFermion:all (`default = off`)
Common switch for the group of implemented processes that produce an excited fermion.

`flag` ExcitedFermion:dg2dStar (`default = off`)
Scatterings d g → d^*. Code 4001.

`flag` ExcitedFermion:ug2uStar (`default = off`)
Scatterings u g → u^*. Code 4002.

`flag` ExcitedFermion:sg2sStar (`default = off`)
Scatterings s g → s^*. Code 4003.

`flag` ExcitedFermion:cg2cStar (`default = off`)
Scatterings c g → c^*. Code 4004.

`flag` ExcitedFermion:bg2bStar (`default = off`)
Scatterings b g → b^*. Code 4005.

`flag` ExcitedFermion:egm2eStar (`default = off`)
Scatterings e gamma → e^*. Code 4011.

`flag` ExcitedFermion:mugm2muStar (`default = off`)
Scatterings mu gamma → mu^*. Code 4013.

`flag` ExcitedFermion:taugm2tauStar (`default = off`)
Scatterings tau gamma → tau^*. Code 4015.

`flag` ExcitedFermion:qq2dStarq (`default = off`)
Scatterings q q(bar) → d^* q(bar). Code 4021.

`flag` ExcitedFermion:qq2uStarq (`default = off`)
Scatterings q q(bar) → u^* q(bar). Code 4022.

`flag` ExcitedFermion:qq2sStarq (`default = off`)
Scatterings q q(bar) → s^* q(bar). Code 4023.

`flag` ExcitedFermion:qq2cStarq (`default = off`)
Scatterings q q(bar) → c^* q(bar). Code 4024.

`flag` ExcitedFermion:qq2bStarq (`default = off`)
Scatterings q q(bar) → b^* q(bar). Code 4025.

`flag` ExcitedFermion:qqbar2eStare (`default = off`)
Scatterings q qbar → e^*+- e^-+. Code 4031.

`flag` ExcitedFermion:qqbar2nueStarnue (`default = off`)
Scatterings q qbar → nu_e^* nu_ebar. Code 4032.

`flag` ExcitedFermion:qqbar2muStarmu (`default = off`)
Scatterings q qbar → mu^*+- mu^-+. Code 4033.

`flag` ExcitedFermion:qqbar2numuStarnumu (`default = off`)
Scatterings q qbar → nu_mu^* nu_mubar. Code 4034.

`flag` ExcitedFermion:qqbar2tauStartau (`default = off`)
Scatterings q qbar → tau^*+- tau^-+. Code 4035.

`flag` ExcitedFermion:qqbar2nutauStarnutau (`default = off`)
Scatterings q qbar → nu_tau^* nu_taubar. Code 4036.

`flag` ExcitedFermion:qqbar2eStareStar (`default = off`)
Scatterings q qbar → e^*+- e^*-+. Code 4051.

`flag` ExcitedFermion:qqbar2nueStarnueStar (`default = off`)
Scatterings q qbar → nu_e^* nu_e^*bar. Code 4052.

`flag` ExcitedFermion:qqbar2muStarmuStar (`default = off`)
Scatterings q qbar → mu^*+- mu^*-+. Code 4053.

`flag` ExcitedFermion:qqbar2numuStarnumuStar (`default = off`)
Scatterings q qbar → nu_mu^* nu_mu^*bar. Code 4054.

`flag` ExcitedFermion:qqbar2tauStartauStar (`default = off`)
Scatterings q qbar → tau^*+- tau^*-+. Code 4055.

`flag` ExcitedFermion:qqbar2nutauStarnutauStar (`default = off`)
Scatterings q qbar → nu_tau^* nu_tau^*bar. Code 4056.

### Excited fermions, parameters

The basic couplings of the model are

`parm` ExcitedFermion:Lambda (`default = 1000.`; `minimum = 100.`)
Compositeness scale Lambda in GeV.

`parm` ExcitedFermion:coupF (`default = 1.0`; `minimum = 0.0`)
Strength f of the SU(2) coupling.

`parm` ExcitedFermion:coupFprime (`default = 1.0`; `minimum = 0.0`)
Strength f' of the U(1) coupling.

`parm` ExcitedFermion:coupFcol (`default = 1.0`; `minimum = 0.0`)
Strength f_c of the SU(3) coupling.

`parm` ExcitedFermion:contactDec (`default = 1.0`; `minimum = 0.0`)
Strength of contact-interaction decay channels, implemented as three-body decays l^* → l f fbar for excited leptons and neutrinos, where unity corresponds to the same normalization as for the production channels.

### Contact interactions, production processes

The processes including contact interactions are

`flag` ContactInteractions:QCqq2qq (`default = off`)
Scatterings q q → q q including contact interactions. Code 4201.

`flag` ContactInteractions:QCqqbar2qqbar (`default = off`)
Scatterings q qbar → q' qbar' including contact interactions. Code 4202.

`flag` ContactInteractions:QCffbar2eebar (`default = off`)
Scatterings f fbar → e- e+ including contact interactions. Code 4203.

`flag` ContactInteractions:QCffbar2mumubar (`default = off`)
Scatterings f fbar → mu- mu+ including contact interactions. Code 4204.

`flag` ContactInteractions:QCffbar2tautaubar (`default = off`)
Scatterings f fbar → tau- tau+ including contact interactions. Code 4205.

### Contact interactions, parameters

`mode` ContactInteractions:nQuarkNew (`default = 3`; `minimum = 0`; `maximum = 5`)
Number of allowed outgoing new quark flavours in the above q qbar → q' qbar' process. Similar to HardQCD:nQuarkNew for the QCD processes.

`parm` ContactInteractions:Lambda (`default = 1000.`; `minimum = 100.`)
Compositeness scale Lambda in GeV. Its overall normalization is largely a matter of convention. The choice made here for the q qbar → l- l+ processes is such that the pure contact interaction part of the left-left interactions (i.e. disregarding gamma^*, Z^0 and interference terms) has the form d(sigmaHat)/d(tHat) = pi * uHat^2 / (3 * sHat^2 * Lambda^4). The corresponding part of the q qbar → q' qbar' cross section is a factor 3 larger from colour.

`mode` ContactInteractions:etaLL (`default = 0`; `minimum = -1`; `maximum = 1`)
Helicity parameter.
`option` 1 :
`option` 0 :
`option` -1 :

`mode` ContactInteractions:etaRR (`default = 0`; `minimum = -1`; `maximum = 1`)
Helicity parameter.
`option` 1 :
`option` 0 :
`option` -1 :

`mode` ContactInteractions:etaLR (`default = 0`; `minimum = -1`; `maximum = 1`)
Helicity parameter.
`option` 1 :
`option` 0 :
`option` -1 :

`mode` ContactInteractions:etaRL (`default = 0`; `minimum = -1`; `maximum = 1`)
Helicity parameter. Implemented only for the q qbar → l- l+ process.
`option` 1 :
`option` 0 :
`option` -1 :